API ReferenceS-CWT PDF templates
Update a PDF template
PUT
/v2/credentials/compact-semantic/pdf/templates/{id}Update an existing CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_STARTCREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_PDF_TEMPLATE_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
PDF Template ID
id*string
Request Body
application/zip
TypeScript Definitions
Use the request body type in TypeScript.
body*file
Format
binaryResponse Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/compact-semantic/pdf/templates/string" \ -H "Content-Type: application/zip" \ -d 'string'{ "id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725", "name": "Certificate of participation", "fileName": "certificate_of_participation", "fonts": [ { "name": "PublicSans-Regular", "fileName": "fonts/PublicSans-Regular.ttf" } ], "metadata": { "title": "" }, "fields": [ { "key": "familyName", "value": "{{payload.sub_claims.familyName}}", "isRequired": true, "alternativeText": "{{payload.sub_claims.familyName}}", "fontName": "PublicSans-Regular" } ]}How would you rate this page?